Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.sourcetypehandlers
Class JspTypeHandler

    java.lang.Object
      net.sourceforge.pmd.sourcetypehandlers.JspTypeHandler

All Implemented Interfaces:
  SourceTypeHandler

public class JspTypeHandler
extends java.lang.Object
implements SourceTypeHandler

Implementation of SourceTypeHandler for the JSP parser.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Field Summary
`(package private) DummyVisitorStarter` | `dummyVisitor`

Constructor Summary
`JspTypeHandler()`

Method Summary
`VisitorStarter` | `getDataFlowFacade()` Get the DataFlowFacade.
`Parser` | `getParser()` Get the Parser.
`VisitorStarter` | `getSymbolFacade()` Get the SymbolFacade.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dummyVisitor

    DummyVisitorStarter dummyVisitor

Constructor Detail

### JspTypeHandler

    public JspTypeHandler()

Method Detail

### getParser

    public Parser getParser()

  Description copied from interface: `SourceTypeHandler`
  Get the Parser.

  Specified by:
    `getParser` in interface `SourceTypeHandler`
  Returns:

### getDataFlowFacade

    public VisitorStarter getDataFlowFacade()

  Description copied from interface: `SourceTypeHandler`
  Get the DataFlowFacade.

  Specified by:
    `getDataFlowFacade` in interface `SourceTypeHandler`
  Returns:

### getSymbolFacade

    public VisitorStarter getSymbolFacade()

  Description copied from interface: `SourceTypeHandler`
  Get the SymbolFacade.

  Specified by:
    `getSymbolFacade` in interface `SourceTypeHandler`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.